using Assets.Source.UI;
using UnityEngine.UI;

namespace Assets.Source.Utils
{
    public static class UIUtils
    {
        public static void SetFrontMaterial(bool active, params Image[] images)
        {
            foreach (var img in images)
                img.material = active ? Get.UISettings.UIFrontMateral : null;
        }

        public static void CloseAllDialogues(bool instantly = false, params IUIElement[] exceptions)
        {
            Get.MainUI.DialogueLayer.CloseAll(false, exceptions);
        }
    }
}